flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Neil Madsen" <li...@cranialinteractive.com>
Subject RE: [INSTALLER] Update to options -- was RE: [4.14] testing is easy!
Date Wed, 17 Dec 2014 16:29:16 GMT
Erik,
I haven't been able to log into Git yet. Still trying to determine what the
problem is. 

I could create a patch and attach it to the JIRA ticket though. 

> So, "all" that is needed are changes to the installer config file(s) in
the SDK?

Yes, the only changes for the flex-sdk are in the
'apache-flex-sdk-installer-config.xml' file. All other changes are in the
installer code.

Neil
 

-----Original Message-----
From: Erik de Bruin [mailto:erik@ixsoftware.nl] 
Sent: December-17-14 3:38 AM
To: dev@flex.apache.org; lists@cranialinteractive.com
Cc: Justin Mclean
Subject: Re: [INSTALLER] Update to options -- was RE: [4.14] testing is
easy!

Neil,

Awesome! Thanks for following through.

So, "all" that is needed are changes to the installer config file(s) in the
SDK?

Have you been able to log into Git in order to commit your change(s)?

EdB



On Tue, Dec 16, 2014 at 9:17 PM, Neil Madsen <lists@cranialinteractive.com>
wrote:
> So I think I have it all sorted out now.
>
> I had to add in some logic that shows/hides certain options based on 
> the version of the SDK the user has selected to install. In 4.13.0 
> (and lower) "Remoting Support" needs to be shown but in 4.14.0 (and 
> higher) the remoting bits from BlazeDS are going to be included so 
> it's no longer needed to be displayed. The opposite is required in the 
> case of the OFL Fonts (Lato and Font Awesome) for the FlatSpark skin. 
> That option needs to be hidden in 4.13.0 and shown for 4.14.0 and higher.
>
> In making these changes/fixes there have been a couple of new 
> constants added to the language files for the licensing option of the 
> OFL Fonts. If anyone would like to do some translations for the 2 
> added constants that would be great.
>
> Here are the english versions.
>
> ASK_OFL_FONTS=The FlatSpark theme uses fonts licensed under the Open 
> Font License. Do you want to install the Font Awesome and Lato Fonts?
>
> STEP_REQUIRED_INSTALL_OFL_FONTS=Font Awesome and Lato Fonts (Required)
>
> The last thing was to update the 
> 'apache-flex-sdk-installer-config.xml' file to use the constants from the
language properties files as the 'id'
> parameter of the <component> nodes of the various options. This is 
> what was causing the original issue [1] that I had found when changing
languages.
>
> If I have misunderstood what should be where at what time please let 
> me know and I can try to make the adjustments.
>
> Neil
>
> [1] https://issues.apache.org/jira/browse/FLEX-34687
>
> -----Original Message-----
> From: Neil Madsen [mailto:lists@cranialinteractive.com]
> Sent: December-15-14 8:44 PM
> To: 'dev@flex.apache.org'
> Cc: 'Justin Mclean'
> Subject: RE: [4.14] testing is easy!
>
> So what it looks like is happening is the XML file
> (apache-flex-sdk-installer-config.xml) that has the license info etc 
> gets loaded remotely when the installer starts up but when the 
> language is changed it rebuilds the list in the license with the local
version.
>
> I made a change to my local copy of 'apache-flex-sdk-installer-config.xml'
> and my changes only show up after I change languages. Might have to 
> update how that part works.
>
> I'm done for the night. I'll take a look again tomorrow when I get a
chance.
>
> Neil
>
> -----Original Message-----
> From: Justin Mclean [mailto:justin@classsoftware.com]
> Sent: December-15-14 7:52 PM
> To: dev@flex.apache.org
> Subject: Re: [4.14] testing is easy!
>
> Hi,
>
>> What I'm seeing is this:
>> - Remoting Support (Optional)
>> - Adobe Embedded Font Libraries and Utilities (Optional)
>
>  For the 4.14RC "Remoting Support (Optional)" shouldn't be listed but 
> is if you change languages.
>
> Justin
>



--
Ix Multimedia Software

Jan Luykenstraat 27
3521 VB Utrecht

T. 06-51952295
I. www.ixsoftware.nl


Mime
View raw message